## python-gnuplotlib 0.28

=== Makefile ===
all: README README.org

# a multiple-target pattern rule means that a single invocation of the command
# builds all the targets, which is what I want here
%EADME %EADME.org: gnuplotlib.py README.footer.org extract_README.py
	python extract_README.py gnuplotlib

# make distribution tarball
dist:
	python setup.py sdist
.PHONY: dist

# make and upload the distribution tarball
dist_upload:
	python setup.py sdist upload
.PHONY: dist_upload

clean:
	rm -f README.org README
.PHONY: clean

## python-gnuplotlib 0.22

=== debian/changelog ===
python-gnuplotlib (0.22-2) unstable; urgency=medium

  * Justification for new-package-should-not-package-python2-module: I am
    an end-user of this package, primarily the python2 flavor of it.
    There're a few tools I'm developing for my employer currently that I
    hope to release publically in the near future, and those depend on
    python-gnuplotlib. Everything could potentially be moved to python3
    eventually, but this would take a lot of work upstream, with debatable
    benefits. Including the python2 flavor of python-gnuplotlib in Debian
    would at least make my life easier.

 -- Dima Kogan <dkogan@debian.org>  Fri, 17 Aug 2018 10:19:36 -0700

python-gnuplotlib (0.22-1) unstable; urgency=medium

  * Initial release
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https protocol in Format field
  * d/control: Remove ancient X-Python-Version field
  * New release (Closes: #801723)

 -- Dima Kogan <dkogan@debian.org>  Thu, 16 Aug 2018 21:36:17 -0700

=== debian/control ===
Source: python-gnuplotlib
Section: python
Priority: optional
Build-Depends: debhelper (>= 11), dh-python,
               python-all,  python-setuptools,  python-numpy,
               python3-all, python3-setuptools, python3-numpy,
               python-numpysane,
               gnuplot-qt | gnuplot-x11 | gnuplot-nox | gnuplot5-qt | gnuplot5-x11 | gnuplot5-nox | gnuplot
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Dima Kogan <dkogan@debian.org>
Standards-Version: 4.2.0
Homepage: https://github.com/dkogan/gnuplotlib
Vcs-Git: https://salsa.debian.org/python-team/modules/python-gnuplotlib.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/python-gnuplotlib
X-Python-Version: >= 2.6

Package: python-gnuplotlib
Architecture: all
Depends: ${misc:Depends}, ${python:Depends},
         python-numpysane (>= 0.3-1),
         gnuplot-qt | gnuplot-x11 | gnuplot-nox | gnuplot5-qt | gnuplot5-x11 | gnuplot5-nox | gnuplot
Provides: ${python:Provides}
Description: Gnuplot-based plotter for numpy
 gnuplotlib allows numpy data to be plotted using Gnuplot as a backend. As much
 as was possible, this module acts as a passive pass-through to Gnuplot, thus
 making available the full power and flexibility of the Gnuplot backend.
 .
 This is the package for Python2

Package: python3-gnuplotlib
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends},
         python3-numpysane (>= 0.3-1),
         gnuplot-qt | gnuplot-x11 | gnuplot-nox | gnuplot5-qt | gnuplot5-x11 | gnuplot5-nox | gnuplot
Provides: ${python3:Provides}
Description: Gnuplot-based plotter for numpy
 gnuplotlib allows numpy data to be plotted using Gnuplot as a backend. As much
 as was possible, this module acts as a passive pass-through to Gnuplot, thus
 making available the full power and flexibility of the Gnuplot backend.
 .
 This is the package for Python3

## python-gnuplotlib 0.28

=== debian/changelog ===
python-gnuplotlib (0.28-1) unstable; urgency=medium

  * Upstream update

    - Worked around a data-slurping bug in gnuplot

 -- Dima Kogan <dkogan@debian.org>  Thu, 07 Feb 2019 22:59:56 -0800

python-gnuplotlib (0.27-1) unstable; urgency=medium

  * Upstream update

    - Added "equation_above" and "equation_below" plot options
    - Quited some benign errors
  
 -- Dima Kogan <dkogan@debian.org>  Tue, 05 Feb 2019 22:54:59 -0800

python-gnuplotlib (0.26-1) unstable; urgency=medium

  * Upstream update

    - quieted benign, uninteresting error messages
    
 -- Dima Kogan <dkogan@debian.org>  Wed, 23 Jan 2019 11:14:25 -0800

python-gnuplotlib (0.25-1) unstable; urgency=medium

  * Upstream update:

    - 'with labels' are now automatically plotted in ascii; the user
      doesn't need to set this manually
    - Support for histogram plotting

 -- Dima Kogan <dkogan@debian.org>  Wed, 07 Nov 2018 18:44:24 -0800

python-gnuplotlib (0.24-1) unstable; urgency=medium

  * Upstream update:

    - Added a 'wait' plot option, method and global function to block
    until the user closes the interactive plot window

 -- Dima Kogan <dkogan@debian.org>  Mon, 08 Oct 2018 11:09:35 -0700

python-gnuplotlib (0.23-1) unstable; urgency=medium

  * d/control: Remove ancient X-Python-Version field
    Thanks to Ondřej Nový <onovy@debian.org>
  * Upstream update
    - I don't ignore my environment when invoking gnuplot. Makes it
      possible to find gnuplot at a non-default path
    - added fake 'gp' terminal to produce self-plotting data

 -- Dima Kogan <dkogan@debian.org>  Sat, 29 Sep 2018 11:20:40 -0700

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,6 @@
 Homepage: https://github.com/dkogan/gnuplotlib
 Vcs-Git: https://salsa.debian.org/python-team/modules/python-gnuplotlib.git
 Vcs-Browser: https://salsa.debian.org/python-team/modules/python-gnuplotlib
-X-Python-Version: >= 2.6
 
 Package: python-gnuplotlib
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=gnuplotlib
export PYBUILD_DISABLE_python3.4=1
%:
	dh $@ --with python2,python3 --buildsystem=pybuild

override_dh_auto_install:
	dh_auto_install
	dh_numpy
	dh_numpy3

override_dh_auto_build:
	make README
	dh_auto_build

override_dh_auto_clean:
	rm -rf README
	dh_auto_clean

## python-gnuplotlib 0.31

=== debian/changelog ===
python-gnuplotlib (0.31-1) unstable; urgency=medium

  * Upstream update

    - Fixed uninteresting de-undescoring bug

 -- Dima Kogan <dkogan@debian.org>  Tue, 20 Aug 2019 11:58:35 -0700

python-gnuplotlib (0.30-1) unstable; urgency=medium

  * Upstream update

    - Support for single-array plotting with tuplesize < 0
    - Silenced gpsync logging to console
    - Default curve options work in python3
    - Plotting to the "dumb" terminal works in python3
    - Error reporting works even if we're logging

  * Use debhelper-compat instead of debian/compat.
    Thanks to Ondřej Nový <onovy@debian.org>

 -- Dima Kogan <dkogan@debian.org>  Wed, 07 Aug 2019 08:33:42 -0700

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: python-gnuplotlib
 Section: python
 Priority: optional
-Build-Depends: debhelper (>= 11), dh-python,
+Build-Depends: debhelper-compat (= 11), dh-python,
                python-all,  python-setuptools,  python-numpy,
                python3-all, python3-setuptools, python3-numpy,
                python-numpysane,
@@ -30,6 +30,7 @@
 Architecture: all
 Depends: ${misc:Depends}, ${python3:Depends},
          python3-numpysane (>= 0.3-1),
+         python3-distutils,
          gnuplot-qt | gnuplot-x11 | gnuplot-nox | gnuplot5-qt | gnuplot5-x11 | gnuplot5-nox | gnuplot
 Provides: ${python3:Provides}
 Description: Gnuplot-based plotter for numpy

## python-gnuplotlib 0.32

=== Makefile ===
all: README README.org

# a multiple-target pattern rule means that a single invocation of the command
# builds all the targets, which is what I want here
%EADME %EADME.org: gnuplotlib.py README.footer.org extract_README.py
	python3 extract_README.py gnuplotlib

# make distribution tarball
dist:
	python3 setup.py sdist
.PHONY: dist

# make and upload the distribution tarball
dist_upload:
	python3 setup.py sdist upload
.PHONY: dist_upload

clean:
	rm -f README.org README
.PHONY: clean

=== debian/changelog ===
python-gnuplotlib (0.32-1) unstable; urgency=medium

  * Upstream update
    - Major rework: support for multiplots. No breaking changes
    - All errors raise a specific GnuplotlibError instead of Exception
    - tuplesize<0 works with single points
    - added convenience plot options square-xy and squarexy as synonyms for
      square_xy
    - "square_xy" works in 2D: synonym for "square"
    - "hardcopy" and "output" are now synonyms
    - Makefile uses python3

 -- Dima Kogan <dkogan@debian.org>  Thu, 28 Nov 2019 19:38:25 -0800

python-gnuplotlib (0.31-2) unstable; urgency=medium

  * Team upload.
  * Drop python2 support; Closes: #937796
  * bump Standards-Version to 4.4.1 (no changes needed)
  * Dont compress .py files, installed as examples

 -- Sandro Tosi <morph@debian.org>  Thu, 24 Oct 2019 22:38:48 -0400

=== debian/control ===
Source: python-gnuplotlib
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 11), dh-python,
               python3-all, python3-setuptools, python3-numpy,
               python3-numpysane,
               gnuplot-qt | gnuplot-x11 | gnuplot-nox | gnuplot5-qt | gnuplot5-x11 | gnuplot5-nox | gnuplot
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Dima Kogan <dkogan@debian.org>
Standards-Version: 4.4.1
Homepage: https://github.com/dkogan/gnuplotlib
Vcs-Git: https://salsa.debian.org/python-team/modules/python-gnuplotlib.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/python-gnuplotlib

Package: python3-gnuplotlib
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends},
         python3-numpysane (>= 0.3-1),
         python3-distutils,
         gnuplot-qt | gnuplot-x11 | gnuplot-nox | gnuplot5-qt | gnuplot5-x11 | gnuplot5-nox | gnuplot
Provides: ${python3:Provides}
Description: Gnuplot-based plotter for numpy
 gnuplotlib allows numpy data to be plotted using Gnuplot as a backend. As much
 as was possible, this module acts as a passive pass-through to Gnuplot, thus
 making available the full power and flexibility of the Gnuplot backend.
 .
 This is the package for Python3

## python-gnuplotlib 0.33

=== debian/changelog ===
python-gnuplotlib (0.33-1) unstable; urgency=medium

  * New upstream release
    - BIG documentation update. Added the "guide": a tutorial and set of
      demos.
  * Upstream license change: any version of the LGPL instead of LGPL-3+
  * Bump debhelper from old 11 to 12.
  * Set upstream metadata fields: Bug-Database, Repository, Repository-
    Browse.

 -- Dima Kogan <dkogan@debian.org>  Sun, 15 Mar 2020 00:07:21 -0700

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: python-gnuplotlib
 Section: python
 Priority: optional
-Build-Depends: debhelper-compat (= 11), dh-python,
+Build-Depends: debhelper-compat (= 12), dh-python,
                python3-all, python3-setuptools, python3-numpy,
                python3-numpysane,
                gnuplot-qt | gnuplot-x11 | gnuplot-nox | gnuplot5-qt | gnuplot5-x11 | gnuplot5-nox | gnuplot

## python-gnuplotlib 0.37

=== debian/changelog ===
python-gnuplotlib (0.37-1) unstable; urgency=medium

  * New upstream release
    - Updated default hardcopy settings
  
 -- Dima Kogan <dkogan@debian.org>  Wed, 03 Feb 2021 14:40:46 -0800

python-gnuplotlib (0.36-1) unstable; urgency=medium

  * New upstream release
    - add_plot_option() API change: takes single options as scalars
      and lists as lists, just like the plot options that accept multiple
      values

 -- Dima Kogan <dkogan@debian.org>  Fri, 13 Nov 2020 21:31:05 -0800

python-gnuplotlib (0.35-1) unstable; urgency=medium

  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.
  * New upstream release
    - Improved default svg terminal settings
    - Added add_plot_option() function, more robust plot option parsing

 -- Dima Kogan <dkogan@debian.org>  Sun, 08 Nov 2020 01:36:22 -0800

python-gnuplotlib (0.34-1) unstable; urgency=medium

  * New upstream release
    - Lots of updates to the guide contents, and to the way it is built
    - I now barf if both "_key" and "key" are given in any set of options
    - Reduced the uninteresting complaining at exit with ipython
    - Any curves where ALL the data arrays are empty are ignored

 -- Dima Kogan <dkogan@debian.org>  Sat, 19 Sep 2020 20:30:04 -0700

=== debian/control ===
--- 
+++ 
@@ -5,12 +5,12 @@
                python3-all, python3-setuptools, python3-numpy,
                python3-numpysane,
                gnuplot-qt | gnuplot-x11 | gnuplot-nox | gnuplot5-qt | gnuplot5-x11 | gnuplot5-nox | gnuplot
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Dima Kogan <dkogan@debian.org>
 Standards-Version: 4.4.1
 Homepage: https://github.com/dkogan/gnuplotlib
-Vcs-Git: https://salsa.debian.org/python-team/modules/python-gnuplotlib.git
-Vcs-Browser: https://salsa.debian.org/python-team/modules/python-gnuplotlib
+Vcs-Git: https://salsa.debian.org/python-team/packages/python-gnuplotlib.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/python-gnuplotlib
 
 Package: python3-gnuplotlib
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=gnuplotlib
export PYBUILD_DISABLE_python3.4=1
%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_install:
	dh_auto_install
	dh_numpy3

override_dh_auto_build:
	make README
	dh_auto_build

override_dh_auto_clean:
	rm -rf README
	dh_auto_clean

override_dh_compress:
	dh_compress -X.py

## python-gnuplotlib 0.38

=== debian/changelog ===
python-gnuplotlib (0.38-1) unstable; urgency=medium

  * New upstream release
    - Extended add_plot_option() API

      This is a backwards-compatible update. There is NO API break. Two
      new features:

      - multiple key/value sets can be set in a single call by using
        keyword arguments

      - "overwrite" kwarg can be used to overwrite previously-set keys OR
        to leave the previous ones without barfing

 -- Dima Kogan <dkogan@debian.org>  Sun, 11 Apr 2021 18:45:19 -0700

## python-gnuplotlib 0.39

=== debian/changelog ===
python-gnuplotlib (0.39-1) unstable; urgency=medium

  * New upstream release

 -- Dima Kogan <dkogan@debian.org>  Sat, 14 Jan 2023 23:12:13 -0800

python-gnuplotlib (0.38-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Set upstream metadata fields: Bug-Submit.
  * Update standards version to 4.5.0, no changes needed.
  * Bump debhelper from old 12 to 13.
  * Update standards version to 4.5.1, no changes needed.
  * Update standards version to 4.6.1, no changes needed.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Tue, 29 Nov 2022 19:45:22 +0000

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,13 @@
 Source: python-gnuplotlib
 Section: python
 Priority: optional
-Build-Depends: debhelper-compat (= 12), dh-python,
+Build-Depends: debhelper-compat (= 13), dh-python,
                python3-all, python3-setuptools, python3-numpy,
                python3-numpysane,
                gnuplot-qt | gnuplot-x11 | gnuplot-nox | gnuplot5-qt | gnuplot5-x11 | gnuplot5-nox | gnuplot
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Dima Kogan <dkogan@debian.org>
-Standards-Version: 4.4.1
+Standards-Version: 4.6.1
 Homepage: https://github.com/dkogan/gnuplotlib
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-gnuplotlib.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-gnuplotlib

## python-gnuplotlib 0.40

=== debian/changelog ===
python-gnuplotlib (0.40-2) unstable; urgency=medium

  * Team upload.
  * Source-only upload for testing migration.

 -- Timo Röhling <roehling@debian.org>  Wed, 26 Jul 2023 16:44:16 +0200

python-gnuplotlib (0.40-1) unstable; urgency=medium

  * New upstream release

 -- Dima Kogan <dkogan@debian.org>  Mon, 19 Jun 2023 16:44:40 -0700

## python-gnuplotlib 0.41

=== debian/changelog ===
python-gnuplotlib (0.41-2) unstable; urgency=medium

  * Removed unneeded Depends: python3-distutils (Closes: #1065930)

 -- Dima Kogan <dkogan@debian.org>  Sun, 05 May 2024 15:20:37 -0700

python-gnuplotlib (0.41-1) unstable; urgency=medium

  * New upstream release

 -- Dima Kogan <dkogan@debian.org>  Sat, 23 Dec 2023 12:28:38 -0800

## python-gnuplotlib 0.42

=== debian/changelog ===
python-gnuplotlib (0.42-1) unstable; urgency=medium

  * New upstream release
    - Regexes use raw strings, so Python 3.12 will not throw warnings to
      stdout
    - gnuplotlib.wait() can accept gnuplotlib objects to wait for

 -- Dima Kogan <dkogan@debian.org>  Tue, 03 Sep 2024 12:23:52 -0700

## python-gnuplotlib 0.43

=== debian/changelog ===
python-gnuplotlib (0.43-1) unstable; urgency=medium

  * New upstream release
    - numpy2 support

 -- Dima Kogan <dkogan@debian.org>  Wed, 19 Mar 2025 15:27:52 -0700

## python-gnuplotlib 0.45

=== Makefile ===
--- 
+++ 
@@ -5,15 +5,25 @@
 %EADME %EADME.org: gnuplotlib.py README.footer.org extract_README.py
 	python3 extract_README.py gnuplotlib
 
+DIST_VERSION := $(or $(shell < gnuplotlib.py perl -ne "if(/__version__ = '(.*)'/) { print \$$1; exit}"), $(error "Couldn't parse the distribution version"))
+
+DIST := dist/gnuplotlib-$(DIST_VERSION).tar.gz
+$(DIST): README
+
 # make distribution tarball
-dist:
+$(DIST):
 	python3 setup.py sdist
+.PHONY: $(DIST) # rebuild it unconditionally
+
+dist: $(DIST)
 .PHONY: dist
 
+
 # make and upload the distribution tarball
-dist_upload:
-	python3 setup.py sdist upload
+dist_upload: $(DIST)
+	twine upload --verbose $(DIST)
 .PHONY: dist_upload
+
 
 clean:
 	rm -f README.org README

=== requirements.txt ===
numpy
numpysane

=== debian/changelog ===
python-gnuplotlib (0.45-1) unstable; urgency=medium

  * New upstream release
    Uninteresting bug fix introduced in 0.44

 -- Dima Kogan <dkogan@debian.org>  Fri, 04 Apr 2025 11:32:38 -0700

python-gnuplotlib (0.44-1) unstable; urgency=medium

  * New upstream release

 -- Dima Kogan <dkogan@debian.org>  Wed, 02 Apr 2025 11:53:57 -0700

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,6 @@
 Architecture: all
 Depends: ${misc:Depends}, ${python3:Depends},
          python3-numpysane (>= 0.3-1),
-         python3-distutils,
          gnuplot-qt | gnuplot-x11 | gnuplot-nox | gnuplot5-qt | gnuplot5-x11 | gnuplot5-nox | gnuplot
 Provides: ${python3:Provides}
 Description: Gnuplot-based plotter for numpy

=== debian/watch ===
version=3
opts=uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha|b|a)\d*)$/$1~$2/,dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$// \
https://github.com/dkogan/gnuplotlib/tags .*/v?(\d.*)\.(?:tgz|tbz2|txz|tar\.(?:gz|bz2|xz))

## python-gnuplotlib 0.46

=== debian/changelog ===
python-gnuplotlib (0.46-1) unstable; urgency=medium

  * New upstream version 0.46
    - 'axes' and 'y2' options can broadcast again
    - I draw x2 tics if anything uses the x2 axis

 -- Dima Kogan <dkogan@debian.org>  Tue, 02 Dec 2025 23:33:25 -0800
